<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Language extends Model
{
    use HasFactory;
    protected $fillable = [
        'name',
        'des',
        'created_by',
        'updated_by',
        'is_active',
    ];

    public function volunteer(){
        return $this->hasMany('App/Model/VolunteerLanguage');
    }
}
