<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Volunteer extends Model
{
    use HasFactory;
    protected $fillable = [
         'vlntr_id',
         'vlntr_name',
         'vlntr_dob',
         'vlntr_gender',
         'vlntr_count_clients',
        'vlntr_max_clients',
        'vlntr_skills',
        'vlntr_contract_end_date',
        'vlntr_task_empathy_calls',
        'vlntr_task_others_datails',
        'vlntr_calling_status',
        'is_active',
        'is_hold',
        'unregistered',
        'updatedby',
        'vlntr_assign_color',
        'vlntr_update_notes',
        'vlntr_training_batch',

    ];

    public function batch(){
        return $this->hasMany('App\Models\TrainingBatchTraineesUpdate' , 'tbtu_trainee_id');
    }

    public function user(){
        return $this->belongsTo('App\Models\User' , 'vlntr_id');
    }

    public function client(){
        return $this->belongsToMany('App\Models\ClientTrainee', 'vlntr_id');
    }
    public function screening_voluntr(){
        return $this->hasOne('App\Models\ScreeningCallUpdates' , 'volunteer_preferences');
    
        }

  


}
