<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateVolunteersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('volunteers', function (Blueprint $table) {
            $table->id();
            $table->integer('vlntr_id')->nullable();
            $table->string('vlntr_name',250)->nullable();
            $table->string('vlntr_dob')->nullable();
            $table->string('vlntr_gender')->nullable();
            $table->integer('vlntr_count_clients');
            $table->integer('vlntr_max_clients');
            $table->string('vlntr_skills',250)->nullable();
            $table->date('vlntr_contract_end_date')->nullable();
            $table->char('vlntr_task_empathy_calls',1)->nullable();
            $table->string('vlntr_task_others_datails')->nullable();
            $table->string('vlntr_calling_status')->nullable();
            $table->string('vlntr_assign_color')->nullable();
            $table->char('is_active',1)->nullable();
            $table->char('is_hold',1)->nullable();
            $table->char('is_close',1)->nullable();
            $table->char('unregistered',1)->nullable();
            $table->bigInteger('updatedby')->nullable();
            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('volunteers');
    }
}
