<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUserActionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_actions', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('user_id')->nullable();
            $table->string('first_name' , 50)->nullable();
            $table->string('last_name' , 50)->nullable();
            $table->string('phone' , 20)->nullable();
            $table->string('email' , 70)->nullable();
            $table->string('address_one' , 100)->nullable();
            $table->string('address_two' , 100)->nullable();
            $table->string('city' , 50)->nullable();
            $table->string('postal_code' , 8)->nullable();
            $table->string('uname' , 20)->nullable();
            $table->string('password' , 250)->nullable();
            $table->string('user_type' , 50)->nullable();
            $table->bigInteger('created_by')->nullable();
            $table->string('act_abbreviation' , 50)->nullable();
            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_actions');
    }
}
