<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateeVolunteerFormTwo extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('volunteer_form_two', function (Blueprint $table) {
            $table->id();
            $table->string('first_name');
            $table->string('name');
            $table->string('maiden_name');
            $table->string('dob');
            $table->string('address');
            $table->string('city');
            $table->string('province');
            $table->string('postal_code');
            $table->string('telephone');
            $table->string('cell_phone');
            $table->string('email');
            $table->integer('language');
            $table->string('is_student');
            $table->string('family_name_one');
            $table->string('family_name_two');
            $table->string('family_email_one');
            $table->string('family_email_two');
            $table->string('family_phone_one');
            $table->string('family_phone_two');
            $table->string('family_relation_one');
            $table->string('family_relation_two');
            $table->string('family_name');
            $table->string('given_name');
            $table->string('telephone_day');
            $table->string('telephone_evening');
            $table->string('relationship');
            $table->string('work_exp');
            $table->string('volunteer_exp');
            $table->string('skills');
            $table->string('restrictions');
            $table->text('volunteer_opportunities');
            $table->string('morning_monday')->nullable();
            $table->string('morning_tuesday')->nullable();
            $table->string('morning_wednesday')->nullable();
            $table->string('morning_thursday')->nullable();
            $table->string('morning_friday')->nullable();
            $table->string('morning_saturday')->nullable();
            $table->string('morning_sunday')->nullable();
            $table->string('afternoon_monday')->nullable();
            $table->string('afternoon_tuesday')->nullable();
            $table->string('afternoon_wednesday')->nullable();
            $table->string('afternoon_thursday')->nullable();
            $table->string('afternoon_friday')->nullable();
            $table->string('afternoon_saturday')->nullable();
            $table->string('afternoon_sunday')->nullable();
            $table->string('evening_monday')->nullable();
            $table->string('evening_tuesday')->nullable();
            $table->string('evening_wednesday')->nullable();
            $table->string('evening_thursday')->nullable();
            $table->string('evening_friday')->nullable();
            $table->string('evening_saturday')->nullable();
            $table->string('evening_sunday')->nullable();
            $table->string('total_hours')->nullable();
            $table->string('volunteer_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('volunteer_form_two');
    }
}
