<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInterviewSheetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('interview_sheets', function (Blueprint $table) {
            $table->id();
            $table->integer('candidate_id')->nullable();
            $table->integer('interviewer1_id')->nullable();
            $table->integer('interviewer2_id')->nullable();
            $table->integer('interviewer3_id')->nullable();
            $table->integer('Interview_slot_id')->nullable();
            $table->string('interview_date')->nullable();
            $table->string('volunteer_language')->nullable();
            $table->string('education')->nullable();
            $table->string('why_interested_volunteering',500)->nullable();
            $table->string('prior_volunteering_experience',500)->nullable();
            $table->string('experience_explain_geriatic_pop_mental_helth',500)->nullable();
            $table->string('impact_hope_involvement',500)->nullable();
            $table->string('describe_communication_style_close_you',500)->nullable();
            $table->string('comfortable_languages',500)->nullable();
            $table->string('senario_speak_client_with_compalaints',500)->nullable();
            $table->string('have_question',500)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('interview_sheets');
    }
}
