<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateScreeningCallUpdatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('screening_call_updates', function (Blueprint $table) {
            $table->id();
            $table->string('assign_color')->nullable();
            $table->string('fill_rubric')->nullable();
            $table->date('acceptance_date')->nullable();
            $table->string('note')->nullable();
            $table->string('instruction')->nullable();
            $table->string('emergency_contact')->nullable();
            $table->bigInteger('volunteer_preferences')->nullable();
            $table->string('reject_reason')->nullable();
            $table->char('status')->nullable();
            $table->bigInteger('client_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('screening_call_updates');
    }
}
