<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateQACallsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('q_a_calls', function (Blueprint $table) {
            $table->id();
              $table->date('date')->nullable();
            $table->string('who_fill_form')->nullable();
            $table->integer('client_id');
            $table->string('volntr_name')->nullable();
            $table->string('client_language')->nullable();
            $table->string('is_weekly_calls')->nullable();
            $table->string('enjoying_call')->nullable();
            $table->string('satisfied_reason')->nullable();
            $table->string('issue_with_volntr')->nullable();
            $table->string('issue')->nullable();
            $table->string('last_receive_call')->nullable();
            $table->string('dissatisfied_with_vlntr')->nullable();
            $table->string('feedback')->nullable();
            $table->string('overall_satisfaction')->nullable();
            $table->string('is_client_satisfy')->nullable();
            $table->string('promotion_activities')->nullable();
            $table->string('team_member')->nullable();
            $table->string('instruction')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('q_a_calls');
    }
}
