<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEmergencyContactsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('emergency_contacts', function (Blueprint $table) {
            $table->id();
              $table->date('date')->nullable();
            $table->string('volunteeremail')->nullable();
            $table->string('volunteer_name')->nullable();
           $table->integer('client_id');
            $table->text('has_emergency_contact')->nullable();
            $table->string('reason')->nullable();
            $table->string('primary_contact')->nullable();
            $table->string('primary_phone')->nullable();
            $table->string('primary_relationship')->nullable();
            $table->string('secondary_contact')->nullable();
            $table->string('secondary_phone')->nullable();
            $table->string('secondary_relationship')->nullable();
            $table->string('extra_information')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('emergency_contacts');
    }
}
