<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrainingBatchNotesUpdatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('training_batch_notes_updates', function (Blueprint $table) {
            $table->id();
            $table->integer('training_batch_trainees_updates');
            
            $table->string('volunteer_notes')->nullable();
            $table->string('volunteer_skills')->nullable();
            $table->char('generate_ticket')->nullable();
            $table->string('ticket_title')->nullable();  
            $table->char('ticket_priority')->nullable();
            $table->string('ticket_desc')->nullable();  
            $table->string('attendence')->nullable();  
            $table->bigInteger('updated_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('training_batch_notes_updates');
    }
}
