@extends('client.include.main')
@section('content')
<div class="row">
    <div class="col-lg-12 col-xl-12 col-md-12 col-sm-12">
        <div class="card">
            <div class="card-header">
                <h4 class="card-title">Generate Ticket</h4>
            </div>
            <div class="card-body">
                        <form class="{{route('caregiver.ticket.store')}}" method="post">
                            <div class="row">
                                <div class="col-6">
                                    <label class=" form-label">Ticket Type</label>
                                    <select class="form-control select2-show-search " id="type"
                                    name="type" data-placeholder="Choose one (with searchbox)">
                                        <optgroup label="Tip Users">
                                                <option value="mid">Mid</option>
                                                <option value="high">High</option>
                                                <option value="low">Low</option>
                                                
                                        </optgroup>
                                </select>
                                </div>
                                <div class="col-6">
                                    <label class=" form-label" for="subject">Subject</label>
                                        <input type="text" id="subject" name="subject" class="form-control" placeholder="Enter subject">
                                   
                                </div>
                            </div>
                            <div class="row mt-5">
                                <div class="col-6">
                                    <label class=" form-label">Description</label>
                                        <input type="text" name="description" class="form-control" value="">
                                </div>
                            </div>
                        
                            <div class="row mt-5">
                                <div class="col-6">
                                    <button type="button" class="btn btn-success">Save</button>
                                </div>
                             </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
