<?php

namespace App\Http\Controllers\TipUser;

use App\Http\Controllers\Controller;
use App\Models\Volunteer;
use App\Models\ClientTrainee;
use App\Models\TrainingBatchNotesUpdate;
use App\Models\TrainingBatchTrainers;
use App\Models\TrainingBatchTraineesUpdate;
use App\Models\TrainingBatch;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class VolunteerController extends Controller
{
    public function index($id){
      // $volntr = Volunteer::get();
        $volntr = TrainingBatchTraineesUpdate::Where('tbtu_batch_id', $id)->where('tbtu_status', "A")->get();
        // dd($volntr);
          return view('tip-users.volunteer.index', Compact('volntr'));
      }
  
      public function skill(Request $request, $id){
          $volntr = Volunteer::findorfail($id);
          $volntr->vlntr_skills=$request->vlntr_skills;
          $volntr->update();
          return back()->with('success' , 'Updated Successfully');
      }
  
      public function contract(Request $request, $id){
          $volntr = Volunteer::findorfail($id);
          $volntr->vlntr_contract_end_date =$request->vlntr_contract_end_date;
          $volntr->update();
          return back()->with('success' , 'Updated Successfully');
      }

      public function register( $id , $status){
         
        $reg= Volunteer::findorfail($id);
        $reg->unregistered=$status;
        $reg->update();
        return back()->with('success' , 'Updated Successfully');
      }

      public function hold( $id , $status){
      $reg= Volunteer::findorfail($id);
      $reg->is_hold=$status;
      $reg->update();
      return back()->with('success' , 'Updated Successfully');
    }
    public function active( $id , $status){
        $reg= Volunteer::findorfail($id);
        $reg->is_active=$status;
        $reg->update();
        return back()->with('success' , 'Updated Successfully');
      }

      public function task(Request $request, $id){
           if($request->vlntr_task_empathy_calls=="O"){
               $volntr=Volunteer::findorfail($id);
               $volntr->vlntr_task_others_datails=$request->task;
               $volntr->update();
               return back()->with('success' , 'Updated Successfully');
           }
           else{
            $volntr=Volunteer::findorfail($id);
            $volntr->vlntr_task_empathy_calls=$request->vlntr_task_empathy_calls;
            $volntr->update();
            return back()->with('success' , 'Updated Successfully');

           }
      }

      public function client(Request $request){
          $client=ClientTrainee::where('volunteer_id', $request->volunteer)->get();
          $count='';
          foreach($client as $c){
               if($c->client_id !=null){
                 $count++;
               }

          }

          if($count>=0){
                $res= ["status"=>'1', "volntr_id"=>$request->volunteer];
                return $res;
          }
      }

      public function volunteer_notes(Request $request , $close = ""){
          foreach ($request->attendence as $key => $value) {
            $input['attendence'] = $value;
            $input['generate_ticket'] = $request->generate_ticket[$key];
            $input['volunteer_skills'] = $request->volunteer_skills[$key];
            $input['volunteer_notes'] = $request->volunteer_notes[$key];
            $input['ticket_title'] = $request->ticket_title[$key];
            $input['ticket_priority'] = $request->ticket_priority[$key];
            $input['ticket_desc'] = $request->ticket_desc[$key];
            $input['training_batch_trainees_updates'] = $request->training_batch_trainees_updates[$key];
            $input['updated_by'] = Auth::user()->id;
            TrainingBatchNotesUpdate::updateOrCreate(
              ['training_batch_trainees_updates' => $request->training_batch_trainees_updates[$key]],
              $input
            );  
          }
          if($close == "C"){
            $batch = TrainingBatch::find($request->batch_id);
            $batch->batch_status = "C";
            $batch->update();
          }
          
          return redirect()->back()->with('success' , 'Updated Successfully');
      }

      public function  volunteer_close($id){
        $volntr= Volunteer::findorfail($id);
        $volntr->is_close="C";
        $volntr->update();
        return redirect()->back()->with('success' , 'Updated Successfully');
      }
}