<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDropInSessionDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('drop_in_session_details', function (Blueprint $table) {
            // $table->id();
            $table->integer('dropin_session_id');
         $table->bigInteger('volunteer_id')->nullable();
         $table->bigInteger('client_id')->nullable();
             $table->string('notes')->nullable();
               $table->char('generate_ticket')->nullable();
             $table->string('ticket_title')->nullable();  
               $table->char('ticket_priority')->nullable();
             $table->string('ticket_desc')->nullable();  
         $table->bigInteger('updated_by')->nullable();
       
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('drop_in_session_details');
    }
}
