<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateScreeningsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('screenings', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('client_id')->nullable();
            $table->string('call_back')->nullable();
            $table->string('age')->nullable();
            $table->string('environment')->nullable();
            $table->string('area')->nullable();
            $table->string('feeling_covid')->nullable();
            $table->string('feeling_lately')->nullable();
            $table->string('physical_changes')->nullable();
            $table->string('thoughts')->nullable();
            $table->string('worry_about_hurt')->nullable();
            $table->string('clinician')->nullable();
            $table->string('emergency_contact')->nullable();
            $table->string('familiar_with')->nullable();
            $table->string('preference_volunteer')->nullable();
            $table->string('research_participation')->nullable();
            $table->char('status',1)->nullable();
            $table->char('is_fill',1)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('screenings');
    }
}
