<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEmpathyCallsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('empathy_calls', function (Blueprint $table) {
            $table->id();
            $table->string('email')->nullable();
            $table->string('volunteer_name')->nullable();
              $table->date('date')->nullable();
            $table->integer('client_id');
            $table->string('client_reach')->nullable();
            $table->string('explain')->nullable();
            $table->string('call_length')->nullable();
            $table->string('this_week')->nullable();
            $table->string('issue')->nullable();
            $table->string('issue_description')->nullable();
            $table->string('assistance')->nullable();
            $table->string('feedback')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('empathy_calls');
    }
}
