@extends('admin.include.main')
@section('content')
<div class="card">
    <div class="card-header">
        <div class="card-title">Application</div>
    </div>
    <div class="card-body">
        <div class="table-responsive datatble-filter">
            <table id="example1" class="table card-table table-vcenter text-nowrap border p-0">
                <thead>
                        <tr>
                            <th>Name</th>
                            <th>Age</th>
                            <th>Gender</th>
                            <th>Languages</th>
                            <th>Action</th>
                            
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($applications as $item)
                            <tr class="table-subheader">
                                <td>{{ $item->full_name }}</td>
                                <td>{{ $item->age_slot }}</td>
                                <td>{{ $item->gender }}</td>
                                <td>
                                       @foreach($item->user->languages as $value)
                                       {{$value->language->name}}
                                       @endforeach

                                        
                                </td>
                                <td>

                                    <button class="btn btn-secondary act" type="button"
                                    data-title="{{ $item->full_name }} Details"
                                    data-href="{{ route('admin.application.show', $item->id) }}"  >
                                   Review
                                </button>
                                    
                                    {{-- <div class="dropdown">
                                        <button class="btn btn-secondary dropdown-toggle" type="button"
                                            id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                                            Action
                                        </button>
                                        <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                            <li>
                                                <a data-bs-toggle="modal"
                                                    data-bs-target="#modelrej{{ $item->id }}">Reject</a></li>
                                            <li>
                                                <a data-bs-toggle="modal" data-bs-target="#modelshort{{ $item->id }}"
                                                    class="dropdown-item" href="#">Short List</a>
                                            </li>
                                            <li>
                                            <a href="javascript:void(0)" class="act dropdown-item" data-title="{{ $item->full_name }} Details"
                                                data-href="{{ route('admin.application.show', $item->id) }}">Review</a>
                                            </li>
                                        </ul>
                                    </div> --}}
                                    
                                    <div class="modal fade" id="modelrej{{ $item->id }}" tabindex="-1" role="dialog"
                                        aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="normalmodal1">Reject
                                                        {{ $item->full_name }}</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                <form action="{{ route('admin.application.status', [$item->id, 'R']) }}"
                                                    method="POST">
                                                    @csrf
                                                    @method('put')
                                                    <div class="modal-body">
                                                        <div class="row">
                                                            <div class="col">
                                                                <div class="form-group">
                                                                    <label for="reason">Internal Reason</label>
                                                                    <input type="text" class="form-control" name="internal_reason" id="reason" aria-describedby="helpId" placeholder=" Enter Resson For Rejection">
                                                                    </div>    
                                                                </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col">
                                                                <div class="form-group">
                                                                    <label for="ereason">External Reason</label>
                                                                    <input type="text" class="form-control" name="external_reason" id="ereason" aria-describedby="helpId" placeholder=" Enter Resson For Rejection">
                                                                    </div>    
                                                                </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-info"
                                                            data-bs-dismiss="modal">Close</button>
                                                        <button type="submit" class="btn btn-danger">Reject</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal fade" id="modelshort{{ $item->id }}" tabindex="-1" role="dialog"
                                        aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="normalmodal1">ShortList
                                                        {{ $item->full_name }}</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                <form action="{{ route('admin.application.status', [$item->id, 'S']) }}"
                                                    method="POST">
                                                    @csrf
                                                    @method('put')
                                                    <div class="modal-body">
                                                        Are You Really Want To ShortList This Applicant?
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-info"
                                                            data-bs-dismiss="modal">Close</button>
                                                        <button type="submit" class="btn btn-success">ShortList</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                            </tr>
                        @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div>
    {{-- detail model --}}
    <div class="modal fade" id="largemodal" tabindex="-1" role="dialog" aria-labelledby="largemodal" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="largemodal"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="dat">

                </div>
            </div>
        </div>
    </div>

    
       


@endsection

@section('script')
    <script>
        $(document).on('click', '.actt' ,  function(){
            console.log('erfhsdj');
            var myModal = document.getElementById('largemodal');
            var modal = bootstrap.Modal.getInstance(myModal) // Returns a Bootstrap modal instance
            modal.hide();
        });
    </script>
@endsection