<aside class="app-sidebar app-sidebar3">
    <div class="app-sidebar__user">
        <div class="dropdown user-pro-body text-center">
            <div class="user-pic">
                <img src="{{ asset('admin/assets/images/users/16.jpg') }}" alt="user-img"
                    class="avatar-xl rounded-circle mb-1">
            </div>
            <div class="user-info">
                <h5 class=" mb-1 font-weight-bold">{{Auth::user()->get_name()}}</h5>
                <span class="text-muted app-sidebar__user-name text-sm">App Developer</span>
            </div>
        </div>
    </div>
    <ul class="side-menu">
        <li class="slide">
            <a class="side-menu__item" data-toggle="slide" href="#">
                <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26"
                    viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                    stroke-linejoin="round">
                    <path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path>
                    <polyline points="9 22 9 12 15 12 15 22"></polyline>
                </svg>
                <span class="side-menu__label">Dashboard</span></a>

        </li>
        <li class="slide">
            <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)">
                <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
                <span class="side-menu__label">Volunter</span><i class="angle fa fa-angle-right"></i></a>
            <ul class="slide-menu">
                
                @if(Auth::user()->application == null)
                    <li><a class="slide-item" href="{{route('volunteer.apply.index')}}"><span>Apply</span></a></li>
                @endif
                @if(Auth::user()->application != null)
                    @if(Auth::user()->short_list != null && Auth::user()->batch_traine == null )
                        <li><a class="slide-item" href="{{route('volunteer.interview-slots.index' , 'all')}}"><span>Available Interview Slots</span></a></li>
                        {{-- <li><a class="slide-item" href="{{route('volunteer.interview-slots.index' , 'rejected')}}"><span>Rejected Interview Slots</span></a></li>
                        <li><a class="slide-item" href="{{route('volunteer.interview-slots.index' , 'accepted')}}"><span>Accepted Interview Slots</span></a></li>
                        <li><a class="slide-item" href="{{route('volunteer.interview-slots.index' , 'requested')}}"><span>Requested Interview Slots</span></a></li>
                        <li><a class="slide-item" href="{{route('volunteer.interview-slots.index' , 'canceled')}}"><span>Canceled Interview Slots</span></a></li> --}}
                    @endif
                @endif
            </ul>
        </li>
        @if(Auth::user()->batch_traine != null)
        <li class="slide">
            <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)">
                <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
                <span class="side-menu__label">Training Btach</span><i class="angle fa fa-angle-right"></i></a>
            <ul class="slide-menu">
                <li><a class="slide-item" href="{{route('volunteer.training.index')}}"><span>All Batches</span></a></li>
                <li><a class="slide-item" href="{{route('volunteer.feedback.index')}}"><span>Feedback</span></a></li>
            </ul>
        </li>
    @endif
 
    <li class="slide">
        <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)">
            <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
            <span class="side-menu__label">Client</span><i class="angle fa fa-angle-right"></i></a>
        <ul class="slide-menu">
            <li><a class="slide-item" href="{{route('volunteer.client.index')}}"><span>Clients</span></a></li>
        </ul>
    </li>

        @if(Auth::user()->application != null)
            @if((Auth::user()->form_one == null || Auth::user()->form_two == null || Auth::user()->form_three == null) && Auth::user()->short_list())
            <li class="slide">
                <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)">
                    <svg class="side-menu__icon" xmlns="http://www.w3.org/2000/svg" width="24" height="26" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z"></path><polyline points="9 22 9 12 15 12 15 22"></polyline></svg>
                    <span class="side-menu__label">Forms</span>
                    <i class="angle fa fa-angle-right"></i></a>
                <ul class="slide-menu">

                    <li><a class="slide-item" href="{{route('volunteer.form.one')}}">
                        <span>Form One</span></a></li>
                    <li><a class="slide-item" href="{{route('volunteer.form.two')}}">
                        <span>Form Two</span></a></li>
                        <li><a class="slide-item" href="{{route('volunteer.form.three')}}">
                            <span>Form Three</span></a></li>
                </ul>
            </li>
            @endif
        @endif
        
    </ul>
    <div class="app-sidebar-help">
        <div class="dropdown text-center">
            <div class="help d-flex">
                <a href="javascript:void(0)" class="nav-link p-0 help-dropdown" data-bs-toggle="dropdown">
                    <span class="font-weight-bold">Help Info</span> <i class="fa fa-angle-down ms-2"></i>
                </a>
                <div class="dropdown-menu dropdown-menu-end dropdown-menu-arrow p-4">
                    <div class="border-bottom pb-3">
                        <h4 class="font-weight-bold">Help</h4>
                        <a class="text-primary d-block" href="javascript:void(0)">Knowledge base</a>
                        <a class="text-primary d-block" href="javascript:void(0)">Contact@info.com</a>
                        <a class="text-primary d-block" href="javascript:void(0)">88 8888 8888</a>
                    </div>
                    <div class="border-bottom pb-3 pt-3 mb-3">
                        <p class="mb-1">Your Fax Number</p>
                        <a class="font-weight-bold" href="javascript:void(0)">88 8888 8888</a>
                    </div>
                    <a class="text-primary" href="login-1.html">Logout</a>
                </div>
                <div class="ms-auto">
                    <a class="nav-link icon p-0" href="javascript:void(0)">
                        <svg class="header-icon" x="1008" y="1248" viewBox="0 0 24 24" height="100%" width="100%"
                            preserveAspectRatio="xMidYMid meet" focusable="false">
                            <path opacity=".3" d="M12 6.5c-2.49 0-4 2.02-4 4.5v6h8v-6c0-2.48-1.51-4.5-4-4.5z"></path>
                            <path
                                d="M12 22c1.1 0 2-.9 2-2h-4c0 1.1.9 2 2 2zm6-11c0-3.07-1.63-5.64-4.5-6.32V4c0-.83-.67-1.5-1.5-1.5s-1.5.67-1.5 1.5v.68C7.64 5.36 6 7.92 6 11v5l-2 2v1h16v-1l-2-2v-5zm-2 6H8v-6c0-2.48 1.51-4.5 4-4.5s4 2.02 4 4.5v6zM7.58 4.08L6.15 2.65C3.75 4.48 2.17 7.3 2.03 10.5h2a8.445 8.445 0 013.55-6.42zm12.39 6.42h2c-.15-3.2-1.73-6.02-4.12-7.85l-1.42 1.43a8.495 8.495 0 013.54 6.42z">
                            </path>
                        </svg>
                        <span class="pulse "></span>
                    </a>
                </div>
            </div>
        </div>
    </div>
    <div class="ps__rail-x" style="left: 0px; bottom: -128px;">
        <div class="ps__thumb-x" tabindex="0" style="left: 0px; width: 0px;"></div>
    </div>
    <div class="ps__rail-y" style="top: 128px; height: 333px; right: 0px;">
        <div class="ps__thumb-y" tabindex="0" style="top: 38px; height: 100px;"></div>
    </div>
</aside>
