<?php $__env->startSection('style'); ?>
    <style>
        label {
            display: block;
        }

    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <!-- Button trigger modal -->



    <?php if($status == 'all'): ?>
       
        <div class="modal fade " id="modelnew" tabindex="-1" role="dialog"
            aria-labelledby="normalmodal" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="normalmodal">New Slot
                            </h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                            aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form action="<?php echo e(route('admin.interview-slots.store')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-6">
                                    <div class="form-group">
                                        <label for="date">Date</label>
                                        <div class="input-group">
                                            <div class="input-group-text">
                                                <div class="">
                                                    <svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" height="18"
                                                        viewBox="0 0 24 24" width="18">
                                                        <path d="M0 0h24v24H0V0z" fill="none" />
                                                        <path
                                                            d="M20 3h-1V1h-2v2H7V1H5v2H4c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 2v3H4V5h16zM4 21V10h16v11H4z" />
                                                        <path d="M4 5.01h16V8H4z" opacity=".3" />
                                                    </svg>
                                                </div>
                                            </div>
                                            <input value="<?php echo e(old('date')); ?>" name="date" id="date"
                                                class="form-control fc-datepicker <?php $__errorArgs = ['date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" placeholder="YYYY-MM-DD" type="text">
                                            <?php $__errorArgs = ['date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <span class="invalid-feedback" role="alert">
                                                    <strong><?php echo e($message); ?></strong>
                                                </span>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-group">
                                        <label for="tpBasic">Time</label>
                                        <div class="input-group">
                                            <div class="input-group-text">
                                                <div class="">
                                                    <svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" height="18"
                                                        viewBox="0 0 24 24" width="18">
                                                        <path d="M0 0h24v24H0V0z" fill="none" />
                                                        <path
                                                            d="M12 4c-4.42 0-8 3.58-8 8s3.58 8 8 8 8-3.58 8-8-3.58-8-8-8zm4.25 12.15L11 13V7h1.5v5.25l4.5 2.67-.75 1.23z"
                                                            opacity=".3" />
                                                        <path
                                                            d="M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm.5-13H11v6l5.25 3.15.75-1.23-4.5-2.67z" />
                                                    </svg>
                                                </div><!-- input-group-text -->
                                            </div><!-- input-group-text -->
                                            <input class="form-control <?php $__errorArgs = ['time'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" value="<?php echo e(old('time')); ?>" name="time" id="tpBasic"
                                                placeholder="Set time" type="text">
                                            <?php $__errorArgs = ['time'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                <span class="invalid-feedback" role="alert">
                                                    <strong><?php echo e($message); ?></strong>
                                                </span>
                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row mt-5">
                                <div class="col-md-12">
                                    <h5>Interviewers: </h5>
                                </div>
                            </div>
                            <div class="row">

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="interviewer_primary_id">Primary</label>
                                        <select class="form-control select2-show-search <?php $__errorArgs = ['interviewer_primary_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="interviewer_primary_id"
                                            name="interviewer_primary_id" data-placeholder="Choose one Interviweer">
                                            <optgroup label="Tip Users">
                                                <?php $__currentLoopData = $tip; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($item->id); ?>"><?php echo e($item->get_name()); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </optgroup>
                                        </select>
                                        <?php $__errorArgs = ['interviewer_primary_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="interviewer_secondary_id">Secondary</label>
                                        <select class="form-control select2-show-search <?php $__errorArgs = ['interviewer_secondary_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="interviewer_secondary_id"
                                            name="interviewer_secondary_id" data-placeholder="Choose one (with searchbox)">
                                            <optgroup label="Tip Users">
                                                <?php $__currentLoopData = $tip; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($item->id); ?>"><?php echo e($item->get_name()); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </optgroup>
                                        </select>
                                        <?php $__errorArgs = ['interviewer_secondary_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label for="interviewer_tertiary_id">Tertiary</label>
                                        <select class="form-control select2-show-search <?php $__errorArgs = ['interviewer_tertiary_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="interviewer_tertiary_id"
                                            name="interviewer_tertiary_id" data-placeholder="Choose one (with searchbox)">
                                            <optgroup label="Tip Users">
                                                <?php $__currentLoopData = $tip; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($item->id); ?>"><?php echo e($item->get_name()); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </optgroup>
                                        </select>
                                        <?php $__errorArgs = ['interviewer_tertiary_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                </div>
                            </div>
                            <div class="row mt-5">
                                <div class="col-6">
                                    <div class="form-group">
                                        <label for="zoom_link">Zoom Link</label>
                                        <input class="form-control <?php $__errorArgs = ['zoom_link'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="zoom_link" value="<?php echo e(old('zoom_link')); ?>"
                                            id="zoom_link" placeholder="Zoom Link" type="url">
                                        <?php $__errorArgs = ['zoom_link'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($message); ?></strong>
                                            </span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                </div>
                            </div>
                            <div class="row mt-5">
                                <div class="col-12">
                                    <button type="submit" class="btn btn-primary float-end">Save</button>
                                </div>
        
                            </div>
                        </form>
                    </div>
                
                </div>
            </div>
        </div>
    <?php endif; ?>
    <div class="card mt-5">
        <div class="card-header">
            <div class="row w-100">
                <div class="col-6">
                    <div class="card-title mt-3"><?php echo e($title); ?></div>
                </div>
                <?php if($status == 'all'): ?>
                    <div class="col-6">
                        <button data-bs-toggle="modal" data-bs-target="#modelnew"
                            class="btn btn-primary pull-right" href="#">Add New Interview Slot <i class="fa fa-plus"></i></button>
                    </div>
                <?php endif; ?>
            
            </div>

        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example1" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Sr#</th>
                            <th>Date</th>
                            <th>Time</th>
                            <th>Interviewers</th>
                            <?php if($status != 'all' && $status != 'rejected'): ?>
                                <th>Interviewee</th>
                            <?php endif; ?>

                            <?php if($status == 'rejected'): ?>
                                <th>Reject Reason</th>
                            <?php endif; ?>
                            <?php if($status == 'canceled'): ?>
                                <th>Cancel Reason</th>
                            <?php endif; ?>
                            <?php if($status != 'rejected' && $status != 'canceled'): ?>
                                <th>Action</th>
                            <?php endif; ?>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                            $i = 1;
                        ?>
                        <?php $__currentLoopData = $dat; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($i); ?></td>
                                <td><?php echo e($item->date); ?></td>
                                <td><?php echo e($item->time); ?></td>
                                <td><?php echo e($item->primary->get_name()); ?> , <?php echo e($item->secondry_interviewer->get_name()); ?> ,
                                    <?php echo e($item->tertiary_interviewer->get_name()); ?></td>
                                <?php if($status != 'all' && $status != 'rejected' ): ?>
                                    <?php if($item->interviewee != null): ?>
                                        <td><?php echo e($item->interviewee->get_name()); ?></td>
                                    <?php endif; ?>
                                <?php endif; ?>

                                <?php if($status == 'rejected' || $status == 'canceled'): ?>
                                    <td><?php echo e($item->cancel_reason); ?></td>
                                <?php endif; ?>
                                <?php if($status == 'all'): ?>
                                    <td>
                                        
                                        <!-- Button trigger modal -->
                                        

                                        <!-- Modal -->
                                        <div class="modal fade" id="modeldel<?php echo e($item->id); ?>" tabindex="-1"
                                            role="dialog" aria-labelledby="normalmodal" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="normalmodal1">Delete
                                                            <?php echo e($item->name); ?>

                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                            aria-label="Close">
                                                            <span aria-hidden="true">×</span>
                                                        </button>
                                                    </div>
                                                    <form action="<?php echo e(route('admin.interview.slots.destroy', $item->id)); ?>"
                                                        method="POST">
                                                        <?php echo csrf_field(); ?>
                                                        <?php echo method_field('DELETE'); ?>
                                                        <div class="modal-body">
                                                            Are You Really Want To Delete This?
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-info"
                                                                data-bs-dismiss="modal">Close</button>
                                                            <button type="submit" class="btn btn-danger">Delete</button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>

                                        


                                          
                                          <a class="btn btn-danger" data-bs-toggle="modal"
                                          data-bs-target="#modelcan<?php echo e($item->id); ?>"> <?php if($item->status == "C"): ?>Cancelled <?php else: ?> Cancel <?php endif; ?> </a>
                                      
                                       
                                        
                                        

                                        <!-- Modal -->
                                        <div class="modal fade" id="modeledit<?php echo e($item->id); ?>" tabindex="-1"
                                            role="dialog" aria-labelledby="normalmodal" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="normalmodal1">Edit
                                                            <?php echo e($item->name); ?>

                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                            aria-label="Close">
                                                            <span aria-hidden="true">×</span>
                                                        </button>
                                                    </div>

                                                    <form
                                                        action="<?php echo e(route('admin.interview-slots.update', $item->id)); ?>"
                                                        method="POST">
                                                        <?php echo csrf_field(); ?>
                                                        <?php echo method_field('PUT'); ?>
                                                        <div class="modal-body">

                                                            <div class="row">
                                                                <div class="col-12">
                                                                    <div class="form-group">
                                                                        <label for="date">Date</label>
                                                                        <div class="input-group">
                                                                            <div class="input-group-text">
                                                                                <div class="">
                                                                                    <svg class="svg-icon"
                                                                                        xmlns="http://www.w3.org/2000/svg"
                                                                                        height="18" viewBox="0 0 24 24"
                                                                                        width="18">
                                                                                        <path d="M0 0h24v24H0V0z"
                                                                                            fill="none" />
                                                                                        <path
                                                                                            d="M20 3h-1V1h-2v2H7V1H5v2H4c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 2v3H4V5h16zM4 21V10h16v11H4z" />
                                                                                        <path d="M4 5.01h16V8H4z"
                                                                                            opacity=".3" />
                                                                                    </svg>
                                                                                </div>
                                                                            </div>
                                                                            <input value="<?php echo e($item->date); ?>" name="date"
                                                                                id="date" class="form-control fc-datepicker"
                                                                                placeholder="YYYY-MM-DD" type="text">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-12 mt-5">
                                                                    <div class="form-group">
                                                                        <label for="tpBasic">Time</label>
                                                                        <div class="input-group">
                                                                            <div class="input-group-text">
                                                                                <div class="">
                                                                                    <svg class="svg-icon"
                                                                                        xmlns="http://www.w3.org/2000/svg"
                                                                                        height="18" viewBox="0 0 24 24"
                                                                                        width="18">
                                                                                        <path d="M0 0h24v24H0V0z"
                                                                                            fill="none" />
                                                                                        <path
                                                                                            d="M12 4c-4.42 0-8 3.58-8 8s3.58 8 8 8 8-3.58 8-8-3.58-8-8-8zm4.25 12.15L11 13V7h1.5v5.25l4.5 2.67-.75 1.23z"
                                                                                            opacity=".3" />
                                                                                        <path
                                                                                            d="M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm.5-13H11v6l5.25 3.15.75-1.23-4.5-2.67z" />
                                                                                    </svg>
                                                                                </div><!-- input-group-text -->
                                                                            </div><!-- input-group-text -->
                                                                            <input class="form-control"
                                                                                value="<?php echo e($item->time); ?>" name="time"
                                                                                id="tpBasic" placeholder="Set time"
                                                                                type="text">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row mt-5">
                                                                <div class="col-12">
                                                                    <div class="form-group">
                                                                        <label for="zoom_link">Zoom Link</label>
                                                                        <input class="form-control" name="zoom_link"
                                                                            value="<?php echo e($item->zoom_link); ?>" id="zoom_link"
                                                                            placeholder="Zoom Link" type="url">
                                                                    </div>
                                                                </div>
                                                                <div class="col-12 mt-5">
                                                                    <div class="form-group">
                                                                        <label for="edit_interviewer_primary_id">Interviewer
                                                                            One</label>
                                                                        <select class="form-control select2-show-search"
                                                                            id="edit_interviewer_primary_id"
                                                                            name="interviewer_primary_id"
                                                                            data-placeholder="Choose one Interviweer">
                                                                            <optgroup label="Tip Users">
                                                                                <?php $__currentLoopData = $tip; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $itemm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                                    <option <?php if($item->interviewer_primary_id == $itemm->id): ?> selected <?php endif; ?>
                                                                                        value="<?php echo e($itemm->id); ?>">
                                                                                        <?php echo e($itemm->get_name()); ?></option>
                                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                            </optgroup>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row mt-5">
                                                                <div class="col-12">
                                                                    <div class="form-group">
                                                                        <label
                                                                            for="edit_interviewer_secondary_id">Interviewer
                                                                            Secondary
                                                                        </label>
                                                                        <select class="form-control select2-show-search"
                                                                            id="edit_interviewer_secondary_id"
                                                                            name="interviewer_secondary_id"
                                                                            data-placeholder="Choose one (with searchbox)">
                                                                            <optgroup label="Tip Users">
                                                                                <?php $__currentLoopData = $tip; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $itemm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                                    <option <?php if($item->interviewer_secondary_id == $itemm->id): ?> selected <?php endif; ?>
                                                                                        value="<?php echo e($itemm->id); ?>">
                                                                                        <?php echo e($itemm->get_name()); ?></option>
                                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                            </optgroup>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-12 mt-5">
                                                                    <div class="form-group">
                                                                        <label
                                                                            for="edit_interviewer_tertiary_id">Interviewer
                                                                            Third</label>
                                                                        <select class="form-control select2-show-search"
                                                                            id="edit_interviewer_tertiary_id"
                                                                            name="interviewer_tertiary_id"
                                                                            data-placeholder="Choose one (with searchbox)">
                                                                            <optgroup label="Tip Users">
                                                                                <?php $__currentLoopData = $tip; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $itemm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                                    <option <?php if($item->interviewer_tertiary_id == $itemm->id): ?> selected <?php endif; ?>
                                                                                        value="<?php echo e($itemm->id); ?>">
                                                                                        <?php echo e($itemm->get_name()); ?></option>
                                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                            </optgroup>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row mt-5">
                                                                <div class="col-12">
                                                                    <label for="description">Description</label>
                                                                    <textarea class="form-control"
                                                                        name="description"><?php echo e($item->description); ?></textarea>
                                                                </div>

                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">

                                                            <div class="row mt-5">
                                                                <div class="col-12">
                                                                    <button type="submit"
                                                                        class="btn btn-primary float-end">Update</button>
                                                                </div>

                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>

                                        

                                    </td>
                                <?php endif; ?>
                                <?php if($status == 'requested'): ?>
                                    <td>

                                        <div class="dropdown">
                                            <button class="btn btn-secondary dropdown-toggle" type="button"
                                                id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                                                Action
                                            </button>
                                            <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                                <li><a data-bs-toggle="modal"
                                                        data-bs-target="#modelrej<?php echo e($item->id); ?>">Reject</a></li>
                                                <li><a data-bs-toggle="modal" data-bs-target="#modelacc<?php echo e($item->id); ?>"
                                                        class="dropdown-item" href="#">Accept</a></li>
                                            </ul>
                                        </div>
                                    </td>
                                <?php endif; ?>
                                <?php if($status == 'accepted'): ?>
                                    <td>

                                        <div class="dropdown">
                                            <button class="btn btn-secondary" type="button"
                                                 data-bs-toggle="modal"
                                                data-bs-target="#modelcan<?php echo e($item->id); ?>">
                                                Cancel
                                            </button>
                                        </div>
                                    </td>
                                <?php endif; ?>

                                <div class="modal fade" id="modelcan<?php echo e($item->id); ?>" tabindex="-1" role="dialog"
                                    aria-labelledby="normalmodal" aria-hidden="true">
                                    <div class="modal-dialog modal-lg" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="normalmodal1">Cancel
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="<?php echo e(route('admin.interview.slots.status', [$item->id, 'C'])); ?>"
                                                method="POST">
                                                <?php echo csrf_field(); ?>
                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <div class="form-group">
                                                                Are you sure you want to cancel it?
                                                                    <div class="row">
                                                                        <div class="col-md-12">
                                                                            <div class="row mt-2">
                                                                                <div class="col-md-6">
                                                                                    <h6>Date</h6>
                                                                                    <p><?php echo e($item->date); ?></p>
                                                                                </div>
                                                                                <div class="col-md-6">
                                                                                    <h6>Time</h6>
                                                                                    <p><?php echo e($item->time); ?></p>
                                                                                </div>
                                                                            </div>
                                                                            <hr class="mt-2 mb-2">
                                                                            <div class="row mt-2">
                                                                                <div class="col-md-6">
                                                                                    <h6>Interviewee</h6>
                                                                                    <p>
                                                                                        <?php if($item->interviewee != null): ?>
                                                                                        <?php echo e($item->interviewee->get_name()); ?>

                                                                                        <?php else: ?>
                                                                                        Not yet Selected
                                                                                        <?php endif; ?>
                                                                                    </p>
                                                                                </div>
                                                                                <div class="col-md-6">
                                                                                    <h6>Zoom Link</h6>
                                                                                    <p><?php echo e($item->zoom_link); ?></p>
                                                                                </div>
                                                                            </div>
                                                                            <hr class="mt-2 mb-2">

                                                                            <div class="row mt-2">
                                                                                <div class="col-md-12">
                                                                                    <h5>Interviwers:</h5>
                                                                                </div>
                                                                            </div>
                                                                            <div class="row mt-2">
                                                                                <div class="col-md-4">
                                                                                    <h6>Primary</h6>
                                                                                    <p><?php echo e($item->primary->get_name()); ?></p>
                                                                                </div>
                                                                                <div class="col-md-4">
                                                                                    <h6>Secondary</h6>
                                                                                    <p><?php echo e($item->secondry_interviewer->get_name()); ?></p>
                                                                                </div>
                                                                                <div class="col-md-4">
                                                                                    <h6>Tertiary</h6>
                                                                                    <p><?php echo e($item->tertiary_interviewer->get_name()); ?></p>
                                                                                </div>
                                                                            </div>
                                                                            <hr class="mt-2 mb-2">
                                                                        </div>
                                                                    </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <?php if($item->status !="C"): ?> 
                                                    <button     type="submit" class="btn btn-danger">Cancel</button>
                                                    <?php endif; ?> 
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal fade" id="modelrej<?php echo e($item->id); ?>" tabindex="-1" role="dialog"
                                    aria-labelledby="normalmodal" aria-hidden="true">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="normalmodal1">Reject
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="<?php echo e(route('admin.interview.slots.status', [$item->id, 'D'])); ?>"
                                                method="POST">
                                                <?php echo csrf_field(); ?>
                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <div class="form-group">
                                                                <label for="reason">Reason For Rejection</label>
                                                                <input type="text" class="form-control"
                                                                    name="cancel_reason" id="reason"
                                                                    aria-describedby="helpId"
                                                                    placeholder=" Enter Resson For Rejection">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-info"
                                                        data-bs-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-danger">Reject</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal fade" id="modelacc<?php echo e($item->id); ?>" tabindex="-1" role="dialog"
                                    aria-labelledby="normalmodal" aria-hidden="true">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="normalmodal1">Reject
                                                </h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>
                                            <form action="<?php echo e(route('admin.interview.slots.status', [$item->id, 'A'])); ?>"
                                                method="POST">
                                                <?php echo csrf_field(); ?>

                                                <div class="modal-body">
                                                    <div class="row">
                                                        <div class="col">
                                                            <div class="form-group">
                                                                <label for="reason">Are you sure sure you want to accept
                                                                    this?</label>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-info"
                                                        data-bs-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-success">Accept</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </tr>
                            <?php
                                $i++;
                            ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <?php if($errors->any()): ?>
        <script>
            <?php if(session('status') == 'add'): ?>
                var myModal = new bootstrap.Modal(document.getElementById('modelnew'), {
                keyboard: false
                })
            <?php elseif(session('status') == 'edit'): ?>
                var myModal = new bootstrap.Modal(document.getElementById('<?php echo e(session('modal')); ?>'), {
                keyboard: false
                })
            <?php endif; ?>
            myModal.show();
        </script>
    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.include.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/saychees/tipoa.saycheese.com.pk/amis/resources/views/admin/interview-slots/index.blade.php ENDPATH**/ ?>