<?php $__env->startSection('content'); ?>
<div class="card">
    <div class="card-header">
        <div class="card-title">Application</div>
    </div>
    <div class="card-body">
        <div class="table-responsive datatble-filter">
            <table id="example1" class="table card-table table-vcenter text-nowrap border p-0">
                <thead>
                        <tr>
                            <th>Name</th>
                            <th>Age</th>
                            <th>Gender</th>
                            <th>Languages</th>
                            <th>Action</th>
                            
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $applications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="table-subheader">
                                <td><?php echo e($item->full_name); ?></td>
                                <td><?php echo e($item->age_slot); ?></td>
                                <td><?php echo e($item->gender); ?></td>
                                <td>
                                       <?php $__currentLoopData = $item->user->languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                       <?php echo e($value->language->name); ?>

                                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                        
                                </td>
                                <td>

                                    <button class="btn btn-secondary act" type="button"
                                    data-title="<?php echo e($item->full_name); ?> Details"
                                    data-href="<?php echo e(route('admin.application.show', $item->id)); ?>"  >
                                   Review
                                </button>
                                    
                                    
                                    
                                    <div class="modal fade" id="modelrej<?php echo e($item->id); ?>" tabindex="-1" role="dialog"
                                        aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="normalmodal1">Reject
                                                        <?php echo e($item->full_name); ?></h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                <form action="<?php echo e(route('admin.application.status', [$item->id, 'R'])); ?>"
                                                    method="POST">
                                                    <?php echo csrf_field(); ?>
                                                    <?php echo method_field('put'); ?>
                                                    <div class="modal-body">
                                                        <div class="row">
                                                            <div class="col">
                                                                <div class="form-group">
                                                                    <label for="reason">Internal Reason</label>
                                                                    <input type="text" class="form-control" name="internal_reason" id="reason" aria-describedby="helpId" placeholder=" Enter Resson For Rejection">
                                                                    </div>    
                                                                </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="col">
                                                                <div class="form-group">
                                                                    <label for="ereason">External Reason</label>
                                                                    <input type="text" class="form-control" name="external_reason" id="ereason" aria-describedby="helpId" placeholder=" Enter Resson For Rejection">
                                                                    </div>    
                                                                </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-info"
                                                            data-bs-dismiss="modal">Close</button>
                                                        <button type="submit" class="btn btn-danger">Reject</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal fade" id="modelshort<?php echo e($item->id); ?>" tabindex="-1" role="dialog"
                                        aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="normalmodal1">ShortList
                                                        <?php echo e($item->full_name); ?></h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                <form action="<?php echo e(route('admin.application.status', [$item->id, 'S'])); ?>"
                                                    method="POST">
                                                    <?php echo csrf_field(); ?>
                                                    <?php echo method_field('put'); ?>
                                                    <div class="modal-body">
                                                        Are You Really Want To ShortList This Applicant?
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-info"
                                                            data-bs-dismiss="modal">Close</button>
                                                        <button type="submit" class="btn btn-success">ShortList</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </tbody>
                </table>
            </div>
        </div>
    </div>
    
    <div class="modal fade" id="largemodal" tabindex="-1" role="dialog" aria-labelledby="largemodal" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="largemodal"></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="dat">

                </div>
            </div>
        </div>
    </div>

    
       


<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        $(document).on('click', '.actt' ,  function(){
            console.log('erfhsdj');
            var myModal = document.getElementById('largemodal');
            var modal = bootstrap.Modal.getInstance(myModal) // Returns a Bootstrap modal instance
            modal.hide();
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.include.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/saychees/tipoa.saycheese.com.pk/amis/resources/views/admin/applications/queue.blade.php ENDPATH**/ ?>